Bug 186554 - System-config-securitylevel fails to apply changes
Summary: System-config-securitylevel fails to apply changes
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-securitylevel (Show other bugs)
(Show other bugs)
Version: 5
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Chris Lumens
QA Contact:
URL:
Whiteboard:
Keywords:
: 187701 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-03-24 12:03 UTC by Simon Andrews
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-30 22:29:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Python traceback generated when the OK button is pressed. (551 bytes, text/plain)
2006-03-24 12:03 UTC, Simon Andrews
no flags Details

Description Simon Andrews 2006-03-24 12:03:56 UTC
Description of problem:

System-config-securitylevel fails to apply changes to config files.  Run from a
terminal it generates a python traceback.


Version-Release number of selected component (if applicable):
system-config-securitylevel-1.6.16-1


How reproducible:
Always (on our test system at least)




Steps to Reproduce:
1. Launch system-config-securitylevel
2. Press OK
3.
  
Actual results:
In the graphical interface nothing happens (the window doesn't close).  When
launched from a terminal a python traceback is generated.

Expected results:
Security settings are correctly updated.

Additional info:

Comment 1 Simon Andrews 2006-03-24 12:03:56 UTC
Created attachment 126619 [details]
Python traceback generated when the OK button is pressed.

Comment 2 Chris Lumens 2006-03-24 21:24:13 UTC
What are the results of rpm -qa selinux\*  ?

Comment 3 Simon Andrews 2006-03-30 10:36:46 UTC
# rpm -qa selinux\*

[nothing!  Which seems odd...]

# rpm -qa | grep selinux
libselinux-1.30-1.fc5
libselinux-devel-1.30-1.fc5
libselinux-python-1.30-1.fc5

This is a machine which was upgraded from FC4, and on which I believe selinux had previously been 
disabled.

Looking at /etc/sysconfig/selinux I saw that it was now set to enforcing with the file having the date 
stamp of the upgrade to FC5.

I then did

yum install selinux-policy-targetted, and system-config-securitylevel now works.

Not sure how this happened, but could it be that anaconda overwrote the old config file during the 
upgrade and left selinux in an odd state?

Comment 4 Chris Lumens 2006-03-30 22:17:11 UTC
Looks like there's two bugs here - first, s-c-securitylevel shouldn't be
exploding in the case of there being no selinux stuff installed.  Second, it
looks like anaconda's driving over your selinux settings on upgrade.  Could you
please file a bug against anaconda for that aspect of it?

Comment 5 Chris Lumens 2006-04-03 13:39:00 UTC
*** Bug 187701 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.